language: python

matrix:
  include:
    - python: 2.7
      os: linux
      compiler: gcc
      env: ARCH=x86_64
    - python: 2.7
      os: linux
      compiler: gcc
      env: ARCH=i386
    - python: 3.4
      os: linux
      compiler: gcc
      env: ARCH=x86_64
    - python: 3.4
      os: linux
      compiler: gcc
      env: ARCH=i386 WAFOPTS=--enable-fftw3f
    - language: C
      os: osx
      compiler: clang
      env: ARCH=x86_64
    - language: C
      os: osx
      compiler: clang
      env: ARCH=i386
    - python: 2.7
      os: linux
      compiler: gcc
      env: ARCH=x86_64 HAVE_DOUBLE=1 WAFOPTS=--enable-fftw3
    - python: 2.7
      os: linux
      compiler: gcc
      env: ARCH=i386 HAVE_DOUBLE=1
    - python: 3.4
      os: linux
      compiler: gcc
      env: ARCH=x86_64 HAVE_DOUBLE=1
    - python: 3.4
      os: linux
      compiler: gcc
      env: ARCH=i386 HAVE_DOUBLE=1
    - language: C
      os: osx
      compiler: clang
      env: ARCH=x86_64 HAVE_DOUBLE=1
    - language: C
      os: osx
      compiler: clang
      env: ARCH=i386 HAVE_DOUBLE=1
    - language: C
      os: osx
      compiler: clang
      env: ARCH=x86_64 WAFOPTS=--enable-fat
    - language: C
      os: osx
      compiler: clang
      env: ARCH=i386 WAFOPTS=--enable-fat

addons:
  apt:
    packages:
    - bzip2
    - libsndfile1-dev
    - libsamplerate-dev
    - libjack-dev
    - libasound2-dev
    - libfftw3-dev
    - sox

before_install:
   - |
     if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then
       brew update
       brew install sox
       export PATH="$HOME/Library/Python/2.7/bin/:$PATH"
     fi;


install:
  - travis_retry pip install --upgrade pip nose2
  - which pip
  - pip --version

script:
  - make create_test_sounds
  - make test_lib_python_clean
  - make test_python_only_clean

notifications:
    irc:
        channels:
            - "irc.freenode.org#aubio"
        use_notice: true
